org.apache.cayenne.access.sqlbuilder.sqltree

## Class LikeNode

- java.lang.Object
- - org.apache.cayenne.access.sqlbuilder.sqltree.Node
  - - org.apache.cayenne.access.sqlbuilder.sqltree.ExpressionNode
    - - org.apache.cayenne.access.sqlbuilder.sqltree.LikeNode

- Direct Known Subclasses:
    MysqlLikeNode, PostgresLikeNode

      public class LikeNode
      extends ExpressionNode

  expressions: LIKE, ILIKE, NOT LIKE, NOT ILIKE + ESCAPE
  Since:
    4.2

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected char` | `escape`
    `protected boolean` | `ignoreCase`
    `protected boolean` | `not`

    - ### Fields inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.Node

      `children, childrenCount, parent, type`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LikeNode(boolean ignoreCase, boolean not, char escape)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `appendChildrenEnd(QuotingAppendable buffer)`
    `void` | `appendChildrenSeparator(QuotingAppendable buffer, int childIdx)`
    `void` | `appendChildrenStart(QuotingAppendable buffer)`
    `Node` | `copy()`
    `char` | `getEscape()`
    `boolean` | `isIgnoreCase()`
    `boolean` | `isNot()`

    - ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.ExpressionNode

      `append, toString`

    - ### Methods inherited from class org.apache.cayenne.access.sqlbuilder.sqltree.Node

      `addChild, addChild, deepCopy, getChild, getChildrenCount, getParent, getType, replaceChild, setParent, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ignoreCase

          protected final boolean ignoreCase

    - #### not

          protected final boolean not

    - #### escape

          protected final char escape

  - ### Constructor Detail

    - #### LikeNode

          public LikeNode(boolean ignoreCase,
                          boolean not,
                          char escape)

  - ### Method Detail

    - #### appendChildrenStart

          public void appendChildrenStart(QuotingAppendable buffer)

      Overrides:
        `appendChildrenStart` in class `ExpressionNode`

    - #### appendChildrenSeparator

          public void appendChildrenSeparator(QuotingAppendable buffer,
                                              int childIdx)

      Overrides:
        `appendChildrenSeparator` in class `Node`

    - #### appendChildrenEnd

          public void appendChildrenEnd(QuotingAppendable buffer)

      Overrides:
        `appendChildrenEnd` in class `ExpressionNode`

    - #### copy

          public Node copy()

      Overrides:
        `copy` in class `ExpressionNode`

    - #### isIgnoreCase

          public boolean isIgnoreCase()

    - #### isNot

          public boolean isNot()

    - #### getEscape

          public char getEscape()

Copyright © 2001–2021 Apache Cayenne. All rights reserved.